Mailinglist Archive: opensuse-buildservice (144 mails)

< Previous Next >
Re: [opensuse-buildservice] Why does OBS think some packages are "unresolvable" while they are not?
Hi there,

On Fri, 06 Sep 2019, 17:08:05 +0200, Manfred Hollstein wrote:
On Fri, 06 Sep 2019, 16:04:39 +0200, Manfred Hollstein wrote:
On Fri, 06 Sep 2019, 15:44:04 +0200, Manfred Hollstein wrote:
Hi there,

I've given up (I think) trying to understand why OBS sometimes behaves
different than what I'd expect.

Here is my (current) challenge:

I'm trying to build firefox69 in my own project in
home:manfred-h:mozilla. The repository metadata is set up as follows:
...
On Fri, 06 Sep 2019, 15:54:14 +0200, Adrian Schröter wrote:
I don't see it unresolvable in home:manfred-h:mozilla, but blocked.

please note that events between repos in different projects are handled with
low prio. So it might take some time to see an effect.

and

On Fri, 06 Sep 2019, 15:58:55 +0200, Andreas Schwab wrote:
The package is currently building, maybe you didn't wait long enough for
the scheduler to pick up the newly built packages?

both of your answers go into the direction I thought I've waited long
enough for... Looks like I just need to wait a little longer :)

Thanks for you replies anyway!

In case it doesn't resolve in the coming days, I'll be back ;)

and here I am again...

I have re-created the situation in a small project at
<https://build.opensuse.org/project/show/home:manfred-h:TEST>.
It contains four packages of which two BuildRequire the two other ones:

(1) firefox68 BuildRequires rust-cbindgen >= 0.8.7
provided by rust-cbindgen-0.8.7
(2) firefox69 BuildRequires rust-cbindgen >= 0.9.0
provided by rust-cbindgen-0.9.0

Building firefox68 succeeds, although I don't understand why it doesn't
pick up rust-cbindgen-0.9.0 which perfectly fulfills the BuildRequire,
too.

But, firefox69 fails with "unresolvable": nothing provides rust-cbindgen >=
0.9.0

Am I wrong assuming this ought to work? Worth a bugzilla?

Cheers.

l8er
manfred
< Previous Next >